/api/v1/picks
GET
/api/v1/picks
const url = 'https://nbaproplab.com/api/v1/picks';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://nbaproplab.com/api/v1/picks \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” date
string
league
string
Responses
Section titled “ Responses ”OK
Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
blockScores
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
hit
null | boolean
actualValue
null | number | string format: double
profit
null | number | string format: double
isVoided
boolean
isPeriodDataGap
boolean
league
string
l10Hits
null | integer | string format: int32
l10Games
null | integer | string format: int32
period
null | string
Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
blockScores
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
hit
null | boolean
actualValue
null | number | string format: double
profit
null | number | string format: double
isVoided
boolean
isPeriodDataGap
boolean
league
string
l10Hits
null | integer | string format: int32
l10Games
null | integer | string format: int32
period
null | string
Example
[ { "isVoided": false, "isPeriodDataGap": false, "league": "Nba" }]Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
blockScores
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
hit
null | boolean
actualValue
null | number | string format: double
profit
null | number | string format: double
isVoided
boolean
isPeriodDataGap
boolean
league
string
l10Hits
null | integer | string format: int32
l10Games
null | integer | string format: int32
period
null | string
Example
[ { "isVoided": false, "isPeriodDataGap": false, "league": "Nba" }]Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}